<?php

declare(strict_types=1);

namespace App\Doctrine\Access\AdditionalExtension;

use Doctrine\ORM\QueryBuilder;

/**
 * Complément d'extension pour CurrentAccessExtension.
 * Les classes implémentant cette interface seront appellées par le service CurrentAccessExtensionIterator.
 */
interface AdditionalAccessExtensionInterface
{
    public function support(string $name): bool;

    public function addWhere(QueryBuilder $queryBuilder): void;
}
